package com.quyunshuo.androidbaseframemvvm.base.addressenum

import com.quyunshuo.androidbaseframemvvm.base.R

enum class PlcCloseAddressEnum(
    val pit: Int,
    val address: String,
    val aName: String,
    val aNameId: Int
) {
    DATA1(
        1,
        "000000020001",
        "关闭制冷时间",
        R.string.base_plc_param_1
    ),//FF020014为什么是14，就是读取data20,20的十六进制是14
    DATA2(2, "000000020001", "抽口味时间", R.string.base_plc_param_2),

    DATA3(3, "000000020001", "蒸发器温度到达才抽水", R.string.base_plc_param_3),
    DATA4(4, "000000020001", "皮带1延时时间", R.string.base_plc_param_4),
    DATA5(5, "000000020001", "拔针时间", R.string.base_plc_param_5),
    DATA6(6, "000000020001", "一瓶饮料所抽的时间", R.string.base_plc_param_6),
    DATA7(7, "000000020001", "制作一次的用量", R.string.base_plc_param_7),
    DATA8(8, "000000020001", "蒸发器保温下限", R.string.base_plc_param_8),
    DATA9(9, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA10(10, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA11(11, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA12(12, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA13(13, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA14(14, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA15(15, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA16(16, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA17(17, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA18(18, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA19(19, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),
    DATA20(20, "000000020001", "蒸发器保温上限", R.string.base_plc_param_9),


}